%{
#include <stdio.h>
#include <stdlib.h>
#include "y.tab.h"
extern char* yylval;
%}

%%
([0123456789])+(\.([0123456789])+)?	yylval = yytext; return NUMBER;
[\+\-]					yylval=!strcmp(yytext,"+"); return ADDOP;
[*/]					yylval=!strcmp(yytext,"*"); return MULOP;
sin|cos|tg|ctg|ln|exp			yylval=strdup(yytext); return FUNCOP;
\(					return OBRACE;
\)					return EBRACE;
\^					return HAT;
%%