%{
//#define YYSTYPE char*
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

void yyerror(const char *str)
{
    fprintf(stderr,"ERROR: %s\n",str);
}

int yywrap()
{
    return 1;
}

main()
{
    yyparse();
}

%}

%token NUMBER ADDOP MULOP FUNCOP OBRACE EBRACE HAT

%%

matkif:
	kif1
	{
		printf("matkif: %s\n", $1);
	}
	;

kif1:
	kif1 ADDOP kif2
	{
		if($2)
		{
			printf("kif1+: ");
			printf($1);
			printf(" ");
//			printf($2);
			printf(" ");
			printf($3);
			printf("v\n");
			sprintf($$, "%f", atof($1)+atof($3));
			//$$=$1+$3;
		}
		else
			printf("-\n");
	}
	|
	ADDOP kif1
	|
	FUNCOP OBRACE kif1 EBRACE
	|
	kif2
	{
		//sprintf($$, "%s", $1);
		$$=$1;
	}
	;

kif2:
	kif2 MULOP kif3
	|
	kif3
	{
		//sprintf($$, "%s", $1);
		$$=$1;
	}
	;

kif3:
	kif4 HAT kif3
	|
	kif4
	{
		//sprintf($$, "%s", $1);
		$$=$1;
		printf("kif3: ");
		printf($1);
		printf("\n");
		//$$=$1;
	}
	;

kif4:
	OBRACE kif1 EBRACE
	|
	NUMBER
	{
		sprintf($$, "%s", $1);
		//$$ = $1;
		printf("%f\n", atof($1));
//		printf($1);
//		printf($$);
	}
	;

%%